"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = transformNumberField;
const transforms_1 = require("../../shared/transforms");
/**
 * Transforms NumberField:
 * - Remove isQuiet (it is no longer supported in Spectrum 2).
 * - Change validationState="invalid" to isInvalid.
 * - Remove validationState="valid" (it is no longer supported in Spectrum 2).
 */
function transformNumberField(path) {
    // Remove isQuiet
    (0, transforms_1.removeProp)(path, { propName: 'isQuiet' });
    // Change validationState="invalid" to isInvalid
    (0, transforms_1.updatePropNameAndValue)(path, {
        oldPropName: 'validationState',
        oldPropValue: 'invalid',
        newPropName: 'isInvalid',
        newPropValue: true
    });
    // Remove validationState="valid"
    (0, transforms_1.removeProp)(path, { propName: 'validationState', propValue: 'valid' });
}
